package vip.xiaonuo.money.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.money.entity.MoneyWriteOverdue;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.money.param.MoneyBusinessPageParam;
import vip.xiaonuo.money.param.MoneyWriteOverdueAddParam;
import vip.xiaonuo.production.entity.ProductionWritePlan;
import vip.xiaonuo.production.param.ProductionPageParam;
import vip.xiaonuo.production.param.ProductionWritePlanAddParam;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 财务应收分析逾期填报 服务类
 * </p>
 *
 * @author author
 * @since 2025-02-26
 */
public interface IMoneyWriteOverdueService extends IService<MoneyWriteOverdue> {

    CommonResult add(MoneyWriteOverdueAddParam param) ;

    Page<MoneyWriteOverdue> page(MoneyBusinessPageParam pageParam);

    CommonResult edit(MoneyWriteOverdue writeOverdue);

    CommonResult delete(Map<String, String> paramsMap);

}
