package vip.xiaonuo.quality.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2025-03-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("erp_bd_quail")
public class ErpBdQuail implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 质检id
     */
    @ApiModelProperty(value = "质检id",position = 1)
    private Integer incQcSchemeId;

    /**
     * 外键id
     */
    @ApiModelProperty(value = "外键id",position = 2)
    private Integer fmaterialId;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称",position = 3)
    private String fname;

    /**
     * 检验项目
     */
    @ApiModelProperty(value = "检验项目",position = 4)
    private String fBglRemark;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位",position = 5)
    private String fBglText;

    /**
     * 标准值
     */
    @ApiModelProperty(value = "标准值",position = 6)
    private String fBglText1;

    /**
     * 物料编码
     */
    @ApiModelProperty(value = "物料编码",position =7 )
    private String fnumber;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id",position = 8)
    private Integer fuseorgid;

    /**
     * 目标值
     */
    @ApiModelProperty(value = "目标值",position =9 )
    private String ftargetval;

    /**
     * 上限值
     */
    @ApiModelProperty(value = "上限值",position = 10)
    private String fuplimit;

    /**
     * 下限值
     */
    @ApiModelProperty(value = "下限值",position =11 )
    private String fdownlimit;

    @ApiModelProperty(value = "组织id",position =12 )
    private String orgId;

    @ApiModelProperty(value = "创建时间",position =13 )
    private Date createTime;


}
