package vip.xiaonuo.quality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.quality.entity.QualityReagentStock;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.quality.param.QualityStockPageParam;

/**
 * <p>
 * 质量试剂仓库 服务类
 * </p>
 *
 * @author author
 * @since 2025-03-10
 */
public interface IQualityReagentStockService extends IService<QualityReagentStock> {

    Page<QualityReagentStock> page(QualityStockPageParam stockPageParam);

    CommonResult add(QualityReagentStock qualityReagentStock);

    CommonResult edit(QualityReagentStock qualityReagentStock);

}
