package vip.xiaonuo.sale.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class SaleInvoiceVo {

    @ApiModelProperty(value = "发票数量",position = 1)
    private String saleInvoiceNumber;

    @ApiModelProperty(value = "发票金额",position = 2)
    private String saleInvoiceMoney;

    @ApiModelProperty(value = "发货时间", position = 3)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
}
