package vip.xiaonuo.sale.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import vip.xiaonuo.money.entity.MoneyBusiness;
import vip.xiaonuo.money.param.DsBusSaleMoneyParam;
import vip.xiaonuo.sale.entity.SaleCost;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 销售费用 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
public interface SaleCostMapper extends BaseMapper<SaleCost> {

    List<DsBusSaleMoneyParam> getMoneyDetailMonth(QueryWrapper<MoneyBusiness> wapper);

    List<DsBusSaleMoneyParam> getMoneyDetailYear(QueryWrapper<MoneyBusiness> wapper);
}
