package vip.xiaonuo.warehouse.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WarehouseStockVo {

    @ApiModelProperty(value = "当日原材料入库数量", position = 1)
    private String materialIncome;

    @ApiModelProperty(value = "当日原材料出库数量", position = 2)
    private String materialOut;

    @ApiModelProperty(value = "当日成品入库数量", position = 3)
    private String finishProduceIncome;

    @ApiModelProperty(value = "当日成品出库数量", position = 4)
    private String finishProduceOut;

    @ApiModelProperty(value = "当日半成品入库数量", position = 5)
    private String halfProduceIncome;

    @ApiModelProperty(value = "当日半成品出库数量", position = 6)
    private String halfProduceOut;

    @ApiModelProperty(value = "当日低值易耗品入库数量", position = 7)
    private String lowValueIncome;

    @ApiModelProperty(value = "当日低值易耗品出库数量", position = 8)
    private String lowValueOut;

    @ApiModelProperty(value = "当日包材入库数量", position = 9)
    private String packageMaterialIncome;

    @ApiModelProperty(value = "当日包材出库数量", position = 10)
    private String packageMaterialOut;

    @ApiModelProperty(value = "当日羊毛脂入库数量", position = 11)
    private String lanolinIncome;

    @ApiModelProperty(value = "当日羊毛脂出库数量", position = 12)
    private String lanolinOut;

    @ApiModelProperty(value = "当日鱼油入库数量", position = 13)
    private String fishOilIncome;

    @ApiModelProperty(value = "当日鱼油出库数量", position = 14)
    private String fishOilOut;

    @ApiModelProperty(value = "羊毛脂供应商", position = 15)
    private Integer lanolinSupplier;

    @ApiModelProperty(value = "鱼油供应商", position = 16)
    private Integer fishOilSupplier;

    @ApiModelProperty(value = "当月羊毛脂入库数量", position = 17)
    private String lanolinIncomeMonth;

    @ApiModelProperty(value = "当月羊毛脂出库数量", position = 18)
    private String lanolinOutMonth;

    @ApiModelProperty(value = "当月鱼油入库数量", position = 19)
    private String fishOilIncomeMonth;

    @ApiModelProperty(value = "当月鱼油出库数量", position = 20)
    private String fishOilOutMonth;

    @ApiModelProperty(value = "鱼油库存", position = 21)
    private String fishOil;


    @ApiModelProperty(value = "羊毛脂库存", position = 22)
    private String lanolin;

}
