package vip.xiaonuo.warehouse.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 仓库原材料库存
 * </p>
 *
 * @author author
 * @since 2025-03-17
 */
@Data
public class WarehouseMaterialStockVo  {


    /**
     * 原材料id
     */
    @ApiModelProperty(value = "fnumber",position = 1)
    private String fnumber;

    /**
     * 原材料名称
     */
    @ApiModelProperty(value = "原材料名称",position = 2)
    private String material;

    /**
     * 原材料库存
     */
    @ApiModelProperty(value = "原材料库存",position = 3)
    private String materialStock;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间",position =4 )
    @JsonFormat(pattern = "yyyy-MM",timezone = "GMT+8")
    private Date createTime;


}
