package vip.xiaonuo.write.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 通用预警指标管理
 * </p>
 *
 * @author author
 * @since 2025-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("write_index")
public class WriteIndex implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 模块划分0财务1人事2采购3仓库4风控5生产6销售7质量'
     */
    @ApiModelProperty(value = "模块划分0财务1人事2采购3仓库4风控5生产6销售7质量'",position = 1)
    private Integer moduleType;

    /**
     * 指标名称
     */
    @ApiModelProperty(value = "指标名称",position = 2)
    private String indicatorName;

    /**
     * 组织ID
     */
    @ApiModelProperty(value = "组织ID",position =3 )
    private String orgId;


}
