package vip.xiaonuo.write.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.production.param.ProductionPageParam;
import vip.xiaonuo.quality.entity.QualityWrite;
import vip.xiaonuo.quality.param.QualityWriteAddParam;
import vip.xiaonuo.write.entity.WriteProduct;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.write.param.WriteProductAddParam;

import java.util.Map;

/**
 * <p>
 * 成品检验台账填报 服务类
 * </p>
 *
 * @author author
 * @since 2025-03-02
 */
public interface IWriteProductService extends IService<WriteProduct> {

    CommonResult add(WriteProductAddParam addParam);

    CommonResult edit(WriteProduct writeProduct);

    CommonResult delete(Map<String, String> paramsMap);

    Page<WriteProduct> page(ProductionPageParam pageParam);
}
