package vip.xiaonuo.money.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 预警提醒人
 * </p>
 *
 * @author author
 * @since 2024-12-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("money_warning_people")
public class MoneyWarningPeople implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 重要预警人
     */
    @ApiModelProperty(value = "重要预警人",position =1 )
    private String important;

    /**
     * 普通预警
     */
    @ApiModelProperty(value = "普通预警",position = 2)
    private String ordinary;

    /**
     * 提醒预警人
     */
    @ApiModelProperty(value = "提醒预警人",position = 3)
    private String remind;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position =4 )
    private String orgId;


}
