package vip.xiaonuo.quality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.quality.entity.QualityReagent;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.quality.entity.QualityReagentOutStock;
import vip.xiaonuo.quality.param.QualityManufacturerParam;
import vip.xiaonuo.quality.param.QualityReagentParam;
import vip.xiaonuo.quality.param.vo.ShiJiParam;

import java.util.List;

/**
 * <p>
 * 质量试剂使用情况 服务类
 * </p>
 *
 * @author author
 * @since 2024-12-11
 */
public interface IQualityReagentService extends IService<QualityReagent> {

    List<QualityReagentOutStock> getList(QualityReagentParam reagentParam);

    Page<QualityReagent> listPage(QualityManufacturerParam manufacturerParam);

    List<QualityReagent>  getShiJi(ShiJiParam shiJiParam);
}
