package vip.xiaonuo.sale.service;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.sale.entity.SaleDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.sale.param.SaleCustomerParam;
import vip.xiaonuo.sale.param.SaleDetailPageParam;
import vip.xiaonuo.sale.param.SaleDetailParam;

import java.util.List;

/**
 * <p>
 * 销售信息明细表 服务类
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
public interface ISaleDetailService extends IService<SaleDetail> {

    //客户销售额占比
    JSONArray getList(SaleDetailParam detailParam);

    //客户销售额明显表
    Page<SaleDetail> getList2(SaleDetailPageParam detailPageParam);

    //大屏业务员销售排名top10，包含全部
    Page<SaleDetail> listTop(SaleDetailPageParam customerParam);

}
